Reviving an old V2.0 forum - how?

Converting from other board software? Good decision! Need help? Have a question about a convertor? Wish to offer a convertor package? Post here.
Post Reply
matisok
Registered User
Posts: 4
Joined: Thu Mar 05, 2020 11:05 am

Reviving an old V2.0 forum - how?

Post by matisok »

Hi all

In 2003 I was hosting an active forum on our website. Now I would like to revive this forum. It was running PHPBB 2.0.4.

From the forum I still have the .SQL file but I don't have the website installation anymore (what used to live in /forum/ on our site).

I have installed the latest PHPBB3 on the website and now I am trying to "convert" (or import) through the described method which gives me one concerning error. See attached screenshot. The way I read the error is that I need to provide the converter with the folder path of the 2.0 installation. Which I don't have anymore.

Is there are way of importing the SQL file into PHP?

Help greatly appreciated.
Mathias
Attachments
Screenshot 2020-03-05 at 12.12.44.png

User avatar
Mick
Support Team Member
Support Team Member
Posts: 22325
Joined: Fri Aug 29, 2008 9:49 am
Location: Cardiff

Re: Reviving an old V2.0 forum - how?

Post by Mick »

The conversion guide should help: docs/INSTALL.html#convert
"The more connected we get the more alone we become" - Kyle Broflovski

Please read: “Am I In The Right Place?” before posting.

User avatar
3Di
Former Team Member
Posts: 15042
Joined: Mon Apr 04, 2005 11:09 pm
Location: Milan (IT) Frankfurt (DE)
Name: Marco
Contact:

Re: Reviving an old V2.0 forum - how?

Post by 3Di »

matisok wrote:
Thu Mar 05, 2020 11:14 am
...
From the forum I still have the .SQL file but I don't have the website installation anymore (what used to live in /forum/ on our site).

I have installed the latest PHPBB3 on the website and now I am trying to "convert" (or import) through the described method which gives me one concerning error. See attached screenshot. The way I read the error is that I need to provide the converter with the folder path of the 2.0 installation. Which I don't have anymore.

Is there are way of importing the SQL file into PHP?
...
Tricky situation, can be solved though.
In these days I am short of time, if nobody else will be able to assist you in the meantime I will try to be back on this problem.

Whatever happens keep safe your SQL file.
Please PM me only to request paid works. Thx.
Want to compensate me for my interest? Donate
My development's activity º PhpStorm's proud user
Extensions, Scripts, MOD porting, Update/Upgrades
:studio_microphone: Premium extensions @ The Studio

matisok
Registered User
Posts: 4
Joined: Thu Mar 05, 2020 11:05 am

Re: Reviving an old V2.0 forum - how?

Post by matisok »

Hi again. Thanks for the replies.

I looked through my old off-line backups, and found the forum directory. Somewhat hopeful I tried to upload the directory the the webservers original location and then run the "convert" again.

This now gives this error.

The convertor was not able to find tables with the specified prefix. Please make sure you have entered the correct details for the board you are converting from. The default table prefix for phpBB 2.0.x is phpbb_.PREFIX_FOUND
[phpBB Debug] "mysqli_free_result(): Couldn't fetch mysqli_result" in file /home3/willerup/public_html/willerup/phpBB3/phpbb/db/driver/mysqli.php on line 319

Cheers
M

User avatar
warmweer
Jr. Extension Validator
Posts: 4287
Joined: Fri Jul 04, 2003 6:34 am
Location: Van Allen Bel ... gium

Re: Reviving an old V2.0 forum - how?

Post by warmweer »

Could it be possible that the full set of phpBB2 files aren't necessary and that the database and the phpBB2 config.php could be sufficient. I'm thinking along this way because both 3.3 and 2.0 need to be "installed on the same server but there is no php version on which 3.3 can run,together with 2.0

If not, completely reinstalling the phpBB2 board would be necessary (using an old Easyphp or Xamp version with which 2.0 and 3.0 can run).

Hmm?, can't find it but not all that long ago there was a topic with links to very old versions of phpBB (down to 1.4.4 even, or earlier).

Found a 2.0.4 http://www.oldversion.com/windows/phpbb-2-0-4
We should embrace problems, without which there wouldn't be any solutions.

matisok
Registered User
Posts: 4
Joined: Thu Mar 05, 2020 11:05 am

Re: Reviving an old V2.0 forum - how?

Post by matisok »

Hi,

I got a bit further with the config.php file suggestion - it looked like it was going to work, but then this error came.
Attachments
Screenshot 2020-03-06 at 00.55.50.png

User avatar
3Di
Former Team Member
Posts: 15042
Joined: Mon Apr 04, 2005 11:09 pm
Location: Milan (IT) Frankfurt (DE)
Name: Marco
Contact:

Re: Reviving an old V2.0 forum - how?

Post by 3Di »

In the phpBB2 database, in the "config" table, set the default_lang field to english (English).. afair.
Please PM me only to request paid works. Thx.
Want to compensate me for my interest? Donate
My development's activity º PhpStorm's proud user
Extensions, Scripts, MOD porting, Update/Upgrades
:studio_microphone: Premium extensions @ The Studio

matisok
Registered User
Posts: 4
Joined: Thu Mar 05, 2020 11:05 am

Re: Reviving an old V2.0 forum - how?

Post by matisok »

Checked the default_lang - looks like it is already set to english. See attached. Any other suggestions?
Attachments
Screenshot 2020-03-06 at 08.57.13.png

User avatar
JLA
Registered User
Posts: 531
Joined: Tue Nov 16, 2004 5:23 pm
Location: USA
Name: JLA FORUMS
Contact:

Re: Reviving an old V2.0 forum - how?

Post by JLA »

Is there a direct upgrade path from your version of phpbb2 to phpbb3.

I thought you might have to 1st upgrade your version from 2.0.x to the latest 2.0.x then upgrade?

Why not just keep it version 2 and see what happens 1st before you go to the trouble?

User avatar
3Di
Former Team Member
Posts: 15042
Joined: Mon Apr 04, 2005 11:09 pm
Location: Milan (IT) Frankfurt (DE)
Name: Marco
Contact:

Re: Reviving an old V2.0 forum - how?

Post by 3Di »

JLA wrote:
Wed Apr 01, 2020 9:20 pm
Is there a direct upgrade path from your version of phpbb2 to phpbb3.
..
There are not upgrade patches from phpBB2 since it is a conversion. ;)

The error states it is an unknow encoding.
Not sure if some function like iconv() is present there, should see the error logs in the server.
Please PM me only to request paid works. Thx.
Want to compensate me for my interest? Donate
My development's activity º PhpStorm's proud user
Extensions, Scripts, MOD porting, Update/Upgrades
:studio_microphone: Premium extensions @ The Studio

User avatar
JLA
Registered User
Posts: 531
Joined: Tue Nov 16, 2004 5:23 pm
Location: USA
Name: JLA FORUMS
Contact:

Re: Reviving an old V2.0 forum - how?

Post by JLA »

Was the conversion written for the last version of phpbb2 or is it compatible with older versions of phpbb2?

User avatar
3Di
Former Team Member
Posts: 15042
Joined: Mon Apr 04, 2005 11:09 pm
Location: Milan (IT) Frankfurt (DE)
Name: Marco
Contact:

Re: Reviving an old V2.0 forum - how?

Post by 3Di »

It is compatible with all versions afaik.
Please PM me only to request paid works. Thx.
Want to compensate me for my interest? Donate
My development's activity º PhpStorm's proud user
Extensions, Scripts, MOD porting, Update/Upgrades
:studio_microphone: Premium extensions @ The Studio

Paul
Infrastructure Team Leader
Infrastructure Team Leader
Posts: 26044
Joined: Sat Dec 04, 2004 3:44 pm
Location: The netherlands.
Name: Paul Sohier
Contact:

Re: Reviving an old V2.0 forum - how?

Post by Paul »

If I remember correctly it did had some problems with 2.0.6 or lower or 2.0.9, but not fully sure anymore.
However, I think that encoding error is from a wrong encoding for the language file, I think in language/en/common.php is a value what encoding it is supposed to be.
Knock knock
Race condition
Who's there?

My BlogMy Photosmy phpBB Extensionscustom phpBB work & Development

Post Reply

Return to “[3.3.x] Convertors”